from django.db import models
from brvisitApp.models import PatientVisit
#from clmainApp.models import ClinicType

############## Prescription%Module #################
PRESCRIPTION_ITEM_TYPES_CHOICES = (
    ("1D", "دواء"),#DRUG
    ("2R", "أشعة"),# Radiology 
    ("3T", "تحليل"),# MEDICAL Test
)
class TimeTodo(models.Model):#twket el dawa aw el t7lel aw el ash3a 
    name = models.CharField(max_length=100)
    #clinic_type = models.ForeignKey(ClinicType,on_delete=models.PROTECT)
    is_active = models.BooleanField(default=True, help_text='Unselect this if TimeTodo is not used ')
    def __str__(self):
        return self.name

class MedicalTest(models.Model):#t7aleel tbbya 
    name = models.CharField(max_length=100)
    description = models.CharField(max_length=100,blank=True,null=True)
    #clinic_type = models.ForeignKey(ClinicType,on_delete=models.PROTECT)
    time_todo =  models.ForeignKey(TimeTodo,on_delete=models.PROTECT,blank=True,null=True)
    is_active = models.BooleanField(default=True, help_text='Unselect this if MedicalTest is not used ')

    def __str__(self):
        return self.name

class Radiology(models.Model):#el asha3a
    name = models.CharField(max_length=100)
    description = models.CharField(max_length=100,blank=True,null=True)
    #clinic_type = models.ForeignKey(ClinicType,on_delete=models.PROTECT)
    time_todo =  models.ForeignKey(TimeTodo,on_delete=models.PROTECT,blank=True,null=True)
    is_active = models.BooleanField(default=True, help_text='Unselect this if Radiology is not used ')
    def __str__(self):
        return self.name

class Drug(models.Model):#eldawa
    name_ar = models.CharField(max_length=100,blank=True,null=True)
    name_en = models.CharField(max_length=100,unique=True)
    ingredients = models.CharField(max_length=100,blank=True,null=True)
    notes = models.CharField(max_length=100,blank=True,null=True)
    #clinic_type = models.ForeignKey(ClinicType,on_delete=models.PROTECT)
    time_todo =  models.ForeignKey(TimeTodo,on_delete=models.PROTECT,blank=True,null=True)
    is_active = models.BooleanField(default=True, help_text='Unselect this if drug is not used ')
    def __str__(self):
        return "{}-{}".format(self.name_en,self.name_ar)

class PresDrugItem(models.Model):
    patient_visit =  models.ForeignKey(
        PatientVisit,
        related_name="PresDrugItem_patient_visit",
        blank=True,
        null=True,
        on_delete=models.PROTECT,
    )
    drug =  models.ForeignKey(
        Drug,
        related_name="PresDrugItem_drug",
        blank=True,
        null=True,
        on_delete=models.PROTECT,
    )
    time_todo =  models.ForeignKey(
        TimeTodo,
        related_name="PresDrugItem_timetodo",
        blank=True,
        null=True,
        on_delete=models.PROTECT,
    )

class PresRadiologyItem(models.Model):
    patient_visit =  models.ForeignKey(
        PatientVisit,
        related_name="PresRadiologyItem_patient_visit",
        blank=True,
        null=True,
        on_delete=models.PROTECT,
    )
    radiology =  models.ForeignKey(
        Radiology,
        related_name="PresRadiologyItem_radiology",
        blank=True,
        null=True,
        on_delete=models.PROTECT,
    )
    time_todo =  models.ForeignKey(
        TimeTodo,
        related_name="PresRadiologyItem_timetodo",
        blank=True,
        null=True,
        on_delete=models.PROTECT,
    )

class PresTestItem(models.Model):
    patient_visit =  models.ForeignKey(
        PatientVisit,
        related_name="PresTestItem_patient_visit",
        blank=True,
        null=True,
        on_delete=models.PROTECT,
    )
    medical_test =  models.ForeignKey(
        MedicalTest,
        related_name="PresTestItem_test",
        blank=True,
        null=True,
        on_delete=models.PROTECT,
    )
    time_todo =  models.ForeignKey(
        TimeTodo,
        related_name="PresTestItem_timetodo",
        blank=True,
        null=True,
        on_delete=models.PROTECT,
    )

############## END Prescription%Module #################